// var wx = require("weixin-js-sdk/index.js") //引入刚下载的js文件
// import $H from '@/api/request.js' //封装好的接口请求

// import wx from 'weixin-js-sdk'
import api from "../api/api";


	//初始化
export function	initJssdkShare(callback, url) {
		var url = url
	
		//这一步需要调用后台接口,返回需要的签名 签名时间戳 随机串 和公众号appid
		//注意url:window.location.href.split('#')[0] //
		// request.post("", {
		// 	url // url是当前页面的url
		// },
		let WxConfigRequestVO = {
			url:url,
			systemType:uni.getStorageSync('addSystemType')?uni.getStorageSync('addSystemType'):'1'
		}
		// @ts-ignore
	api.Wxshare(WxConfigRequestVO).then(res => {
				jWeixin.config({
					debug: false,//调试的时候需要 在app上回弹出errmg:config ok 的时候就证明没问题了 这时候就可以改为false
					appId: res.data.appId,//appid
					timestamp: res.data.timestamp,//时间戳
					nonceStr: res.data.nonceStr,//随机串 
					signature: res.data.signature,//签名
					jsApiList: res.data.jsApiList//必填 是下面需要用到的方法集合
				})
				if(callback){
					callback()
				}
		})
	}
	// data是穿的参数 url是当前页面的链接
	export function hshare(data,url){
		console.log('data,url',data,url);
		// initJssdkShare(data, url)
		initJssdkShare(function(){
			jWeixin.ready(function(){
				var sharedata={
					title: data.title, //标题
					desc: data.desc, //描述
					link: data.link ,//分享链接
					imgUrl:data.imgUrl, //图片
					success:(res=>{
					})
				};
				jWeixin.updateAppMessageShareData(sharedata)//自定义微信分享给朋友
				jWeixin.updateTimelineShareData(sharedata);//自定义微信分享给朋友
				jWeixin.onMenuShareAppMessage(sharedata);//获取“分享给朋友”按钮点击状态及自定义分享内容接口（即将废弃）
			})
		},url)
	}